<?php

namespace App\Enums;

enum MissionTypes: int
{
    case PROCESS_SAATY= 1;
    case PROCESS_ROZANE = 2;
    case NO_PROCESS_SAATY = 3;
    case NO_PROCESS_ROZANE = 4;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => ' با فرایند (ساعتی)',
            2 => 'با فرایند(روزانه)',
            3 => 'بدون فرآیند(ساعتی)',
            4 => 'بدون فرایند (روزانه)'
        ];

        return $mapArray[$state];
    }
}